コンテンツへスキップ

TRELLIS.2 Trainer

統合

モデルID trellis-2-lora-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/trellis-2-lora-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "data_url": "https://example.com/your-file.zip"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $15.973 15,973 APIクレジット · ≈ ₽1,684.56 実行前にファイルを計測します このページで実行

APIキーを取得
Microsoft トレーニング

3Dアセットのzipから Trellis 2 用 LoRA アダプターを学習。最大3つのデノイザーに対応

Microsoft · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

resolution デフォルト 512

学習解像度はデータセットの前処理解像度と一致する必要があります。geometry と texture の学習には 512 と 1024 用の個別設定があり、sparse-structure の学習では両解像度で設定を共有します。

rank デフォルト 32

LoRA アダプターのランク。値が大きいほどアダプターの容量が増えます。

•必須

データセットアーカイブ URL。.zip にパッケージ化した生の 3D アセット、または data_preprocessing が返す前処理済み TRELLIS.2 データセット zip を指定します。

デフォルト 1000

学習ステップの合計数。

sparse_structure、geometry、texture から微調整する 1〜3 個の異なる TRELLIS.2 デノイザーの選択。並列学習では共有の前処理済みデータセットを使用し、選択した各項目に個別の LoRA アダプターを生成します。

詳細設定 learning_rate
デフォルト 0.0001

LoRA の最適化に使用する学習率。

POST /run/trellis-2-lora-trainer?wait=20 見積もり → $15.973
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/trellis-2-lora-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "data_url": "https://example.com/your-file.zip"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

TRELLIS.2 Trainerについて

生の3Dアセットまたは前処理済みデータセットを含む `data_url` のzipからアダプターをファインチューニングします。`denoisers` で1〜3個の対象を選択し、それぞれ独自のアダプターとして学習します。設定項目は `resolution`(512または1024)、`rank`(16、32、64)、`learning_rate`、`training_steps`(100〜10000)です。アダプター、失敗情報、再利用可能な前処理済みデータを返します。

パラメータ

名前型 デフォルト許可される値 説明
data_url必須
型string
データセットアーカイブ URL。.zip にパッケージ化した生の 3D アセット、または data_preprocessing が返す前処理済み TRELLIS.2 データセット zip を指定します。
denoisers任意
型enum[]
≤ 3項目
sparse_structure、geometry、texture から微調整する 1〜3 個の異なる TRELLIS.2 デノイザーの選択。並列学習では共有の前処理済みデータセットを使用し、選択した各項目に個別の LoRA アダプターを生成します。
resolution任意
型enum
デフォルト512
5121024
学習解像度はデータセットの前処理解像度と一致する必要があります。geometry と texture の学習には 512 と 1024 用の個別設定があり、sparse-structure の学習では両解像度で設定を共有します。
rank任意
型enum
デフォルト32
163264
LoRA アダプターのランク。値が大きいほどアダプターの容量が増えます。
learning_rate任意
型number
デフォルト0.0001
0.000001 – 0.01
LoRA の最適化に使用する学習率。
training_steps任意
型integer
デフォルト1000
100 – 10,000
学習ステップの合計数。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "trellis-2-lora-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 15973,
    "usd": "15.973",
    "charged": 15973,
    "refunded": 0
  },
  "input": {
    "data_url": "https://example.com/your-file.zip"
  },
  "output": {
    "adapters": [
      {
        "denoiser": "sparse_structure",
        "resolution": 1,
        "lora_file": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "rank": 1,
        "training_steps": 1,
        "learning_rate": 1.0
      }
    ],
    "failed": [
      {
        "denoiser": "sparse_structure",
        "error": "string"
      }
    ],
    "preprocessed_data_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
adapters
array of object {denoiser, resolution, lora_file, rank, training_steps, learning_rate}対応する trellis-2-lora 推論フィールドに割り当てられた LoRA アダプターファイル。学習に成功した各デノイザーにつき 1 つのアダプターが返されます。そのファイルを対応するフィールドで使用します。
failed
array of object {denoiser, error}失敗したデノイザーの学習結果。学習を完了できなかったデノイザーのみが表示されます。要求したすべてのデノイザーが成功した場合は空になります。
preprocessed_data_file
object {url, content_type, file_name, file_size}学習中に使用した、再利用可能な前処理済み TRELLIS.2 データセット zip。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/trellis-2-lora-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt